SWITCH_ROOT(8)

NOM
switch_root - Passer à un autre système de fichiers racine de l'arbre de montage

SYNOPSIS

switch_root [-hV]

switch_root nouvelle_racine init [argument ...]

DESCRIPTION

switch_root déplace /proc, /dev, /sys et /run déjà montés vers nouvelle_racine et fait de nouvelle_racine la nouvelle racine du système de fichiers et lance le processus init.

Attention : switch_root supprime récursivement tous les fichiers et répertoires de la racine actuelle du système de fichiers

OPTIONS

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

CODE DE RETOUR

switch_root returns 1 on failure, it never returns on success.

NOTES

switch_root échouera si nouvelle_racine n'est pas la racine d'un montage. Si vous voulez passer la racine vers un répertoire qui ne convient pas à cette exigence, vous pouvez d'abord utiliser une astuce de remontage pour transformer n'importe quel répertoire en point de montage :

    mount --bind $DIR $DIR

AUTEURS

VOIR AUSSI

chroot(2), init(8), mkinitrd(8), mount(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande switch_root fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.